#### D.3.2.20 spnf

Procedure from library `linalg.lib` (see linalg_lib).

Usage:
  spnf(list(a[,m])); ideal a, intvec m

Assume:
  ncols(a)==size(m)

Return:
  list l:
  l[1] an ideal, the generators of a; sorted and with multiple entries displayed only once
  l[2] an intvec, l[2][i] provides the multiplicity of l[1][i]

Example:

    LIB "linalg.lib";
    ring R=0,(x,y),ds;
    list sp=list(ideal(-1/2,-3/10,-3/10,-1/10,-1/10,0,1/10,1/10,3/10,3/10,1/2));
    spprint(spnf(sp));
    ==> (-1/2,1),(-3/10,2),(-1/10,2),(0,1),(1/10,2),(3/10,2),(1/2,1)

User manual for Singular version 4.4.1, 2025, generated by texi2html.